#pragma once
#include "a83/macro.hpp"
#include "a83/log.hpp"
#include "a83/random.hpp"
template <typename T> bool in_bound(T val, T min_, T max_)
  { return val < max_ and val >= min_; }
bool in_bound_fast(uint val, uint max_) { return val < max_; }
template <typename T> bool in_bound(T x, T sx, T ex, T y, T sy, T ey)
  { return x < ex and x >= sx and y < ey and y >= sy; }
bool in_bound_fast(uint x, uint ex, uint y, uint ey)
  { return x < ex and y < ey; }
//! to frame count
constexpr float TFC(float fc) { return fc / 60.0f; }
//! получение рандомонго угла
float rand_deg() { return a83::frand() * 360.0f; }